<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.remote-connector" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="params,socket-binding,ssl-context"/>
        <elem name="addr-params" value="profile,subsystem,server,remote-connector"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.messaging.activemq.connector.$server.$remote-connector"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="socket-binding" stability="default"/>
        <param name="remote-connector" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="ssl-context" nillable="true" stability="default"/>
        <param name="params" nillable="true" stability="default"/>
    </params>
</feature-spec>